[package]
name = "gstreamer-gl-x11"
version = "0.19.0"
authors = [
    "Sebastian Dröge <sebastian@centricular.com>",
    "Víctor M. Jáquez L. <vjaquez@igalia.com>"
]
categories = ["api-bindings", "multimedia"]
description = "Rust bindings for GStreamer GL library (X11 support)"
repository = "https://gitlab.freedesktop.org/gstreamer/gstreamer-rs"
license = "MIT OR Apache-2.0"
readme = "README.md"
homepage = "https://gstreamer.freedesktop.org"
documentation = "https://gstreamer.pages.freedesktop.org/gstreamer-rs/stable/latest/docs/gstreamer_gl_x11/"
keywords = ["gstreamer", "multimedia", "audio", "video", "gnome"]
edition = "2021"
rust-version = "1.60"

[dependencies]
libc = "0.2"
ffi = { package = "gstreamer-gl-x11-sys", path = "sys" }

glib = { git = "https://github.com/gtk-rs/gtk-rs-core" }
gst = { package = "gstreamer", path = "../../gstreamer" }
gst-gl = { package = "gstreamer-gl", path = "../" }

[dev-dependencies]
gir-format-check = "0.1"

[features]
default = []
dox = ["v1_22", "ffi/dox", "glib/dox", "gst/dox", "gst-gl/dox"]
v1_16 = ["gst/v1_16", "gst-gl/v1_16", "ffi/v1_16"]
v1_18 = ["gst/v1_18", "gst-gl/v1_18", "ffi/v1_18", "v1_16"]
v1_20 = ["gst/v1_20", "gst-gl/v1_20", "ffi/v1_20", "v1_18"]
v1_22 = ["gst/v1_22", "gst-gl/v1_22", "ffi/v1_22", "v1_20"]

[package.metadata.docs.rs]
features = ["dox"]
